deck:
  title: "Building Foundation Models That Reason"
  subtitle: "BioReason: From Genomic Sequences to Biological Insight"
  author: "Bo Wang"
  affiliation: "Xaira Therapeutics · University of Toronto · Vector Institute"
  date: "NIH, 2026"

slides:
  - slide: 1
    type: title

  - slide: 2
    type: content
    title: "Biology's Grand Challenge: Beyond Pattern Matching"
    bullets:
      - "Foundation models have transformed NLP, vision, and protein structure prediction"
      - "But biological reasoning requires more than feature extraction"
      - "Expert biologists integrate sequence, structure, pathway context, and evolutionary history"
      - "Current models excel at representation — they struggle at explanation"
    data_point: "The gap: prediction accuracy vs. mechanistic understanding"

  - slide: 3
    type: content
    title: "What DNA Foundation Models Get Right — and Wrong"
    bullets:
      - "Strong at local sequence representation (Nucleotide Transformer, HyenaDNA, DNABERT-2)"
      - "Reasonable at variant effect scoring within training distribution"
      - "Fail on multi-step causal reasoning: sequence → regulation → pathway → disease"
      - "Outputs are black-box scores with no traceable biological logic"
    data_point: "Variant effect prediction R² < 0.5 on novel regulatory contexts"

  - slide: 4
    type: transition
    title: "What if a model could not just predict — but explain its reasoning, step by step?"

  - slide: 5
    type: content
    title: "BioReason: Tightly Coupling DNA Models with Language Reasoning"
    bullets:
      - "Integrate a DNA foundation model directly with a large language model (LLM)"
      - "LLM interprets genomic embeddings as structured biological context"
      - "Train with supervised fine-tuning on chain-of-thought biological deductions"
      - "Apply reinforcement learning to reward logically coherent, biologically accurate reasoning"
    data_point: "NeurIPS 2025 | github.com/bowang-lab/BioReason"

  - slide: 6
    type: content
    title: "BioReason Architecture: DNA Embeddings as Reasoning Tokens"
    bullets:
      - "DNA encoder produces dense sequence representations from any genomic locus"
      - "A learned projection bridges the genomic embedding space and LLM token space"
      - "LLM attends jointly over sequence context and natural language reasoning history"
      - "Single end-to-end model — no retrieval, no external lookup"
    visual: "Architecture diagram: DNA encoder → projection layer → LLM with interleaved genomic and text tokens"

  - slide: 7
    type: content
    title: "Training BioReason: SFT + RL for Biological Coherence"
    bullets:
      - "Supervised fine-tuning on curated chain-of-thought biological reasoning examples"
      - "Reinforcement learning reward signal: factual accuracy + pathway coherence + parsimony"
      - "Model learns to produce verifiable deduction steps, not just associations"
      - "Generalizes to biological entities never seen during training"

  - slide: 8
    type: content
    title: "BioReason Results: Disease Pathway Prediction"
    bullets:
      - "Task: KEGG-based disease pathway prediction from genomic sequence alone"
      - "Baseline (DNA foundation model): 86% accuracy"
      - "BioReason: 98% accuracy — 12-point absolute gain"
      - "Model provides step-by-step pathway attribution for each prediction"
    data_point: "86% → 98% on KEGG disease pathway prediction"

  - slide: 9
    type: content
    title: "BioReason Results: Variant Effect Prediction"
    bullets:
      - "Benchmarked against strong baselines across multiple variant effect tasks"
      - "Average improvement: +15% over best prior models"
      - "Critically: BioReason explains *why* a variant is functional"
      - "Reasoning traces mention regulatory elements, TF binding, splicing effects — without being told to"
    data_point: "+15% average improvement on variant effect prediction benchmarks"

  - slide: 10
    type: transition
    title: "BioReason-1 showed reasoning works for DNA.\nBioReason-Pro extends this to the protein universe."

  - slide: 11
    type: content
    title: "The Protein Annotation Problem"
    bullets:
      - "~250 million proteins in UniProt; <1% have experimental functional annotations"
      - "Current methods: sequence similarity (misses functional convergence) or isolated classifiers"
      - "Gene Ontology (GO) has 45,000+ terms with complex hierarchical dependencies"
      - "No existing method integrates sequence, structure, domains, and interactions together"
    data_point: "Annotation gap: ~249M proteins remain poorly characterized"

  - slide: 12
    type: content
    title: "GO-GPT: Modeling the Ontology as a Language"
    bullets:
      - "Autoregressive transformer trained to predict GO terms in dependency order"
      - "Captures hierarchical (parent-child) and cross-aspect (MF/BP/CC) dependencies"
      - "Generates GO annotations as structured sequences, not independent binary predictions"
      - "Serves as the precise ontology backbone for BioReason-Pro"
    visual: "GO hierarchy visualization with autoregressive prediction path"

  - slide: 13
    type: content
    title: "BioReason-Pro: Multimodal Reasoning for Protein Function"
    bullets:
      - "Input: protein sequence embeddings + GO-GPT predictions + structural features"
      - "Generates structured reasoning traces that mirror expert biological inference"
      - "Trained on 130,000+ synthetic reasoning traces generated by GPT-5"
      - "Further optimized with reinforcement learning for functional coherence"
    data_point: "bioRxiv 2026 | bioreason.net"

  - slide: 14
    type: content
    title: "BioReason-Pro: Quantitative Results"
    bullets:
      - "GO term prediction: 73.6% Fmax — state-of-the-art across all GO aspects"
      - "LLM-judge evaluation of functional summaries: 8.0 / 10"
      - "Outperforms ESM-2, ProtTrans, and all prior GO prediction methods"
      - "Scales gracefully to novel protein families with no training examples"
    data_point: "73.6% Fmax on GO term prediction"

  - slide: 15
    type: content
    title: "Human Expert Validation: Preferred Over Ground Truth"
    bullets:
      - "Blind evaluation: protein function experts compared BioReason-Pro vs UniProt annotations"
      - "BioReason-Pro preferred in 79% of head-to-head comparisons"
      - "Experts cite: richer mechanistic context, integration of interaction evidence, clarity"
      - "First model where AI annotations are preferred over curated gold-standard database"
    data_point: "79% of human experts prefer BioReason-Pro over UniProt ground truth"

  - slide: 16
    type: content
    title: "De Novo Binding Partner Prediction with Structural Validation"
    bullets:
      - "BioReason-Pro predicted binding partners for proteins with no prior interaction data"
      - "Predictions experimentally confirmed by independent cryo-EM studies"
      - "Per-residue attention weights localized to exact contact residues in cryo-EM structures"
      - "Demonstrates genuine mechanistic understanding — not statistical correlation"
    visual: "Cryo-EM structure with BioReason-Pro per-residue attention overlaid on contact interface"
    data_point: "Attention weights map precisely to cryo-EM contact residues"

  - slide: 17
    type: content
    title: "A Unified Picture: The BioReason Framework"
    bullets:
      - "Modality-agnostic: applies to DNA (BioReason-1) and protein (BioReason-Pro)"
      - "Core recipe: domain-specific encoder + LLM + SFT on reasoning traces + RL"
      - "Outputs are interpretable, traceable, and can be audited by biologists"
      - "Framework generalizes: RNA, epigenomics, metabolomics are natural next steps"
    visual: "Unified diagram: BioReason family — DNA, protein, future modalities"

  - slide: 18
    type: content
    title: "What Reasoning Unlocks That Prediction Cannot"
    bullets:
      - "Scientific trust: reviewers and regulators can inspect the model's logic"
      - "Error diagnosis: failures are traceable to specific reasoning steps"
      - "Knowledge integration: model can incorporate new facts at inference time"
      - "Discovery: reasoning traces reveal hypotheses not in training data"

  - slide: 19
    type: content
    title: "Future Directions"
    bullets:
      - "BioReason for single-cell: reasoning over cell state transitions and perturbations"
      - "Multi-agent BioReason: specialized sub-agents debating biological hypotheses"
      - "Closed-loop integration with lab automation for hypothesis-experiment feedback"
      - "Clinical translation: variant interpretation for rare disease diagnosis"

  - slide: 20
    type: content
    title: "Summary"
    bullets:
      - "BioReason-1 (NeurIPS 2025): DNA-LLM integration with RL achieves 98% disease pathway accuracy and +15% variant effect prediction"
      - "BioReason-Pro (2026): multimodal protein reasoning achieves 73.6% Fmax, preferred by experts 79% of the time"
      - "Core insight: reasoning transforms foundation models from predictors into scientific partners"
      - "Code, data, checkpoints: github.com/bowang-lab/BioReason · bioreason.net"
    data_point: "Building foundation models that reason — not just predict"
